Bug 818715 - Bad grub.cfg generated after kernel upgrade
Bad grub.cfg generated after kernel upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
16
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 14:59 EDT by Jonathan Ryshpan
Modified: 2013-02-13 16:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:17:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
non-working grub.cfg (4.30 KB, application/octet-stream)
2012-05-03 14:59 EDT, Jonathan Ryshpan
no flags Details

  None (edit)
Description Jonathan Ryshpan 2012-05-03 14:59:58 EDT
Created attachment 581941 [details]
non-working grub.cfg

Description of problem: Whenever the kernel is upgraded on a laptop running LXDE under Fedora-16 using yumex, /boot/grub2/grub.cfg is generated.


Version-Release number of selected component (if applicable):
Kernel: kernel-3.3.4-1.fc16.i686
Yum: yum-3.4.3-23.fc16.noarch
Yumex: yumex-3.0.4-1.fc16.noarch

How reproducible: Always


Steps to Reproduce:
1. Upgrade the kernel using yumex
2. Reboot
  
Actual results: These messages appear on the screen:
  dracut warning no root device "block:/dev/disk/by-uuid/2d...af"  found     
  dracut warning no root device "block:/dev/disk/by-uuid/2d...af"  found
  dropping to debug shell
  sh: 0 can't access tty:  job control turned off
  dracut:/#

Expected results: System boots


Additional info: In the attached grub.cfg file, note that the "root=UUID" entries are not all the same; the first one, which is wrong, is different from the others, which are all the same and are correct.  A good grub.cfg file can be generated by running grub2-mkconfig.
Comment 1 Jonathan Ryshpan 2012-05-16 16:06:38 EDT
No improvement after installing the latest grub and kernel:
grub2-1.99-13.fc16.3.i686
kernel-3.3.5-2.fc16.i686
Comment 2 Jonathan Ryshpan 2012-08-06 15:08:56 EDT
Unchanged after installing the latest grub and kernel:
grub2-1.99-13.fc16.3.i686
kernel-3.4.7-1.fc16.i686
Comment 3 Fedora End Of Life 2013-01-16 12:00:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 16:17:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.